procedure GetInput();
begin
	if Sdl_PollEvent(PromCore.SdlEvent) <> 0 then
		begin
			case PromCore.SdlEvent^.type_ of 
					Sdl_QuitEv:
						begin
							PromCore.PromEvent.Type_ := 'SYSTEM';
							PromCore.PromEvent.StrVal := 'QUIT';
							PromCore.PromEvent.StrVal2 := '';
							PromCore.PromEvent.IntVal := 0;
							PromCore.PromEvent.IntVal2 := 0;
						end;
					Sdl_VideoResize:
						begin
							PromCore.PromEvent.Type_ := 'SYSTEM';
							PromCore.PromEvent.StrVal := 'RESIZE';
							PromCore.PromEvent.StrVal2 := '';
							PromCore.PromEvent.IntVal := PromCore.SdlEvent.Resize.W;
							PromCore.PromEvent.IntVal2 := promCore.SdlEvent.Resize.H;
						end;
					Sdl_KeyDown:
						begin
							PromCore.PromEvent.Type_ := 'KEY';
							PromCore.PromEvent.StrVal := 'DOWN';
							PromCore.PromEvent.StrVal2 := chr(PromCore.SdlEvent^.Key.KeySym.Sym);
							PromCore.PromEvent.IntVal := PromCore.SdlEvent^.Key.KeySym.Sym;
							PromCore.PromEvent.IntVal2 := 0;
						end;
					Sdl_Keyup:
						begin
							PromCore.PromEvent.Type_ := 'KEY';
							PromCore.PromEvent.StrVal := 'UP';
							PromCore.PromEvent.StrVal2 := chr(PromCore.SdlEvent^.Key.KeySym.Sym);
							PromCore.PromEvent.IntVal := PromCore.SdlEvent^.Key.KeySym.Sym;
							PromCore.PromEvent.IntVal2 := 0;
						end;
					Sdl_SysWmEvent:
						begin
							PromCore.PromEvent.Type_ := 'SYSTEM';
							PromCore.PromEvent.StrVal := 'WM';
							PromCore.PromEvent.StrVal2 := '';
							PromCore.PromEvent.IntVal := 0;
							PromCore.PromEvent.IntVal2 := 0;
						end;
					Sdl_NoEvent:
						begin
							PromCore.PromEvent.Type_ := 'IDLE';
							PromCore.PromEvent.StrVal := 'NOEVENT';
							PromCore.PromEvent.StrVal2 := '';
							PromCore.PromEvent.IntVal := 0;
							PromCore.PromEvent.IntVal2 := 0;
						end;
					Sdl_MouseMotion:
						begin
							PromCore.PromEvent.Type_ := 'MOUSE';
							PromCore.PromEvent.StrVal := 'POSITION';
							PromCore.PromEvent.StrVal2 := '';
							PromCore.PromEvent.IntVal := PromCore.SdlEvent^.Motion.X;
							PromCore.PromEvent.IntVal2 := PromCore.SdlEvent^.Motion.Y;
						end;
					Sdl_MouseButtonDown:
						begin
							PromCore.PromEvent.Type_ := 'MOUSE';
							PromCore.PromEvent.StrVal := 'DOWN';
							if PromCore.SdlEvent^.Button.State = 1 then
								begin
									if PromCore.SdlEvent^.Button.Button = 1 then
										begin
											PromCore.PromEvent.StrVal2 := 'LEFT';
										end
									else if PromCore.SdlEvent^.Button.Button = 3 then
										begin
											PromCore.PromEvent.StrVal2 := 'RIGHT';
										end;
								end;
						end;
					Sdl_MouseButtonUp:
						begin
							PromCore.PromEvent.Type_ := 'MOUSE';
							PromCore.PromEvent.StrVal := 'UP';
							if PromCore.SdlEvent^.Button.State = 1 then
								begin
									if PromCore.SdlEvent^.Button.Button = 1 then
										begin
											PromCore.PromEvent.StrVal2 := 'LEFT';
										end
									else if PromCore.SdlEvent^.Button.Button = 3 then
										begin
											PromCore.PromEvent.StrVal2 := 'RIGHT';
										end;
								end;
						end;
					Sdl_ActiveEvent:
						begin
						end;
				end;
		end;
end;
